# MIMIC Code Repository

This is a repository of code shared by the research community. The repository is intended to be a central hub for sharing, refining, and reusing code used for analysis of the [MIMIC critical care database](https://mimic.physionet.org). To find out more about MIMIC, please see: https://mimic.physionet.org

## How to contribute

Our team has worked hard to create and share the MIMIC dataset. We encourage you to share the code that you use for data processing and analysis. Sharing code helps to make studies reproducible and promotes collaborative research. To contribute, please:

- Fork the repository using the following link: https://github.com/MIT-LCP/mimic-code/fork. For a background on GitHub forks, see: https://help.github.com/articles/fork-a-repo/
- Commit your changes to the forked repository.
- Submit a pull request to the [MIMIC code repository](https://github.com/MIT-LCP/mimic-code), using the method described at: https://help.github.com/articles/using-pull-requests/

## Required header information

Please copy and paste the following header information into the top of your code:

```
-- ------------------------------------------------------------------  
-- Title: Short descriptive title.  
-- Description: More detailed description explaining the purpose.  
-- MIMIC version: Version of MIMIC (e.g. MIMIC-III v1.1).  
-- Created by: List of people who created the code (optional).  
-- References: References to relevant academic papers etc (optional).  
-- ------------------------------------------------------------------  
```



